Subject: Re: [PATCH RFC] net/unix: SO_REUSEPORT for AF_UNIX

From: Conrad Hoffmann <[email-masked]>
Date: Mon, 29 Jun 2015 13:17:04 +0200

Hi,

On 06/29/2015 06:05 AM, Alex Gartrell wrote:
> On Sun, Jun 28, 2015 at 2:52 AM, Conrad Hoffmann <[email-masked]> wrote:
>> Support the SO_REUSEPORT option for AF_UNIX (aka AF_LOCAL) sockets. Note
>> that unlike the IP implementations, the semantics for AF_UNIX sockets are
>> those of the original BSD implementation, i.e. each socket that
>> successfully reuses a port completely takes over from the previous
>> listener.
> 
> This is a really weird corner case from a user's perspective.  I think
> sharing it is more reasonable, as you can always signal the other
> process out of band.

Thanks for the feedback. While I don't think the use case is that weird I
understand that the shared solution would accomodate for both this and
other use case, thus being the superior one. I'll see what I can do.

Conrad